#$Id: Export.pm,v 1.2 2001/02/03 14:56:35 muhri Exp $
# -*- perl -*-
package Pronto::Export;
use strict;
use SelfLoader;
1;
__DATA__
sub init_export_win {
 	
	my ($widget, $listwidget)=@_ ;
 	my ($fs_window);
 	$fs_window = new Gtk::FileSelection _("Choose MBOX file to export to ...");
 	$fs_window->position(-mouse);
 	$fs_window->signal_connect("destroy", sub {$fs_window->destroy;});
 	$fs_window->signal_connect("delete_event" => \&Gtk::false);
 	$fs_window->ok_button->signal_connect("clicked", \&main::write_to_mbox, $fs_window, $listwidget, $main::conn);
 	$fs_window->cancel_button->signal_connect("clicked", sub {$fs_window->destroy;});
 	$fs_window->show;
 	return 1;
}
